| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes

# IG::Num::OptFileConst Class Reference

Constants used in definition of optimization servers and clients working through file system. More...

List of all members.

## Public Attributes
const string | DirPrefix = "Optimization_Folder"
const string | LockFileMutexName = "Global\\IG.Lib.OptFileManager.LockFileMutex"
| Name of the mutex for locking file system in file server operations.
const string | AnInMathFileName = "aninput.dat"
| Default file name of analysis input file in standard IGLib format.
const string | AnInJsonFilename = "aninput.json"
| Default file name of analysis input file in JSON format.
const string | AnInXmlFileName = "aninput.xml"
| Default file name of analysis input file in XML format.
const string | AnOutMathFilename = "anoutput.dat"
| Default file name of analysis output file in standard IGLib format.
const string | AnOutJsonFilename = "anoutput.json"
| Default file name of analysis output file in JSON format.
const string | AnOutXmlFilename = "anoutput.xml"
| Default file name of analysis output file in XML format.
const string | MsgAnBusyFilename = "anbusy.msg"
| Default file name for analysis busy flag.
const string | MsgAnInputReadyFilename = "andataready.msg"
| Default file name for analysis input data ready flag.
const string | MsgAnResultsReadyFilename = "anresultsready.msg"
| Default file name for analysis results ready flag.
const string | MsgOptBusyFilename = "optbusy.msg"
| Default file name for optimization busy flag.
const string | MsgOptDataReadyFilename = "optdataready.msg"
| Default file name for optimization input data ready flag.
const string | MsgOptResultsReadyFilename = "optresultsready.msg"
| Default file name for optimization resutlts ready flag.
const string | InvOptCommandFilename = "optimization.cm"
| Default file name for optimization command file for program Inverse (Inverse interface).
const string | InvAnCommandFilename = "analysis.cm"
| Default file name for analysis command file for program Inverse (Inverse interface).

## Detailed Description

Constants used in definition of optimization servers and clients working through file system.

WARNING: This module is taken from Dragonfly opt. server and adapted for purpose of some projects. If necessary to further develop, synchronize (& possibly merge) with Dragonfly, otherwise there will be problems with consistent development of both branches. $A Igor Jul08 Nov09 Mar11;

## Member Data Documentation

const string IG::Num::OptFileConst::DirPrefix = "Optimization_Folder"

const string IG::Num::OptFileConst::LockFileMutexName = "Global\\IG.Lib.OptFileManager.LockFileMutex"

Name of the mutex for locking file system in file server operations.

const string IG::Num::OptFileConst::AnInMathFileName = "aninput.dat"

Default file name of analysis input file in standard IGLib format.

const string IG::Num::OptFileConst::AnInJsonFilename = "aninput.json"

Default file name of analysis input file in JSON format.

const string IG::Num::OptFileConst::AnInXmlFileName = "aninput.xml"

Default file name of analysis input file in XML format.

const string IG::Num::OptFileConst::AnOutMathFilename = "anoutput.dat"

Default file name of analysis output file in standard IGLib format.

const string IG::Num::OptFileConst::AnOutJsonFilename = "anoutput.json"

Default file name of analysis output file in JSON format.

const string IG::Num::OptFileConst::AnOutXmlFilename = "anoutput.xml"

Default file name of analysis output file in XML format.

const string IG::Num::OptFileConst::MsgAnBusyFilename = "anbusy.msg"

Default file name for analysis busy flag.

const string IG::Num::OptFileConst::MsgAnInputReadyFilename = "andataready.msg"

Default file name for analysis input data ready flag.

const string IG::Num::OptFileConst::MsgAnResultsReadyFilename = "anresultsready.msg"

Default file name for analysis results ready flag.

const string IG::Num::OptFileConst::MsgOptBusyFilename = "optbusy.msg"

Default file name for optimization busy flag.

const string IG::Num::OptFileConst::MsgOptDataReadyFilename = "optdataready.msg"

Default file name for optimization input data ready flag.

const string IG::Num::OptFileConst::MsgOptResultsReadyFilename = "optresultsready.msg"

Default file name for optimization resutlts ready flag.

const string IG::Num::OptFileConst::InvOptCommandFilename = "optimization.cm"

Default file name for optimization command file for program Inverse (Inverse interface).

const string IG::Num::OptFileConst::InvAnCommandFilename = "analysis.cm"

Default file name for analysis command file for program Inverse (Inverse interface).

The documentation for this class was generated from the following file:

- OptFileConst.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events